#
#  Script for sorting source lists produced by do_nsfind.cl
#
#  Input source lists are coo.?
#
#  Output source lists are coo.?
#
#  Works on any of 4 IRAC channels
#
# (c) 2005 Mike Schuster (mschuster@cfa.harvard.edu)
# (c) 2005 SAO - Smithsonian Astrophysical Observatory
#
#  v1.2 - 10 JAN 2006
#

procedure psort_xy(fld)

string fld

begin

  unlearn("psort")

  if (access("coo.1")) {
    psort(infile="coo.1", field=fld, ascend=yes) }
  if (access("coo.2")) {
    psort(infile="coo.2", field=fld, ascend=yes) }
  if (access("coo.3")) {
    psort(infile="coo.3", field=fld, ascend=yes) }
  if (access("coo.4")) {
    psort(infile="coo.4", field=fld, ascend=yes) }

end
